Skip to content

Instantly share code, notes, and snippets.

Ryan Cooper maptastik

Block or report user

Report or block maptastik

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View qgis-cmd.bat
CALL "C:\Program Files\QGIS 3.4\bin\o4w_env.bat"
CALL "C:\Program Files\QGIS 3.4\bin\py3_env.bat"
CALL "C:\Program Files\QGIS 3.4\bin\qt5_env.bat"
SET PYTHONPATH=C:\Program Files\QGIS 3.4\apps\qgis-ltr\python
cmd
@ThomasG77
ThomasG77 / load_xyz_sources.py
Created Feb 27, 2018
PyQGIS script to save/load/wipe XYZ sources in Browser Panel in QGIS3
View load_xyz_sources.py
# -*- coding: utf-8 -*-
"""
/***************************************************************************
Name : XYZ manager
Description : Script to save/load/wipe WYZ sources in QGIS 3.0
Date : February 27, 2017
copyright : (C) 2017 by Thomas Gratier
email : thomas.gratier@webgeodatavore.com
@pratos
pratos / condaenv.txt
Created Nov 30, 2016
To package a conda environment (Requirement.txt and virtual environment)
View condaenv.txt
# For Windows users# Note: <> denotes changes to be made
#Create a conda environment
conda create --name <environment-name> python=<version:2.7/3.5>
#To create a requirements.txt file:
conda list #Gives you list of packages used for the environment
conda list -e > requirements.txt #Save all the info about packages to your folder
@om-henners
om-henners / arcpy_dataframe.py
Created Aug 11, 2016
Quick sample of converting an ArcGIS feature class to a pandas dataframe using arcpy.
View arcpy_dataframe.py
import arcpy
import pandas as pd
def build_df_from_arcpy(table, index_col=None):
"""
Build a pandas dataframe from an ArcGIS Feature Class.
Uses the arcpy Search Cursor to loop over a feature class in pandas and
generate a pandas dataframe. If the dataset is a feature class with a
@ansell
ansell / install_postgresql9.4_postgis2.1_ubuntu.md
Last active Feb 26, 2019 — forked from hewerthomn/install_postgresql9.3_postgis2.1_ubuntu.md
Installing PostgreSQL 9.4 and PostGIS on Ubuntu 14.04
View install_postgresql9.4_postgis2.1_ubuntu.md

Remove old PostGIS Installation

The first step is to remove older version of PostGIS if any.

sudo apt-get purge postgis

Setup repository

wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ trusty-pgdg main" >> /etc/apt/sources.list.d/postgresql.list'
@mikedillion
mikedillion / gist:a620dc6dbf4102c8f709
Created Jul 15, 2015
Potential maptimeLEX topics for Guerrilla Cartography, Water: An Atlas
View gist:a620dc6dbf4102c8f709
Life
- water scarcity
- fishing regions
- three dimensional view of life in a oceanic body (http://www.openrov.com/)
Sports
- water polo, what happened? Why the helmets?
- That race that the Oracle guy loves so much. Vectors.
Politics
@jczaplew
jczaplew / README.md
Last active Aug 29, 2015
Rolling tiles with mapnik + tilestache instead of Tilemill
View README.md

Rolling tiles sans Tilemill

Perhaps you've had problems programmatically creating tiles with Tilemill, or are concerned about the future stability of project (or you just like playing with geo software).

Install mapnik and TileStache

brew install mapnik --with-gdal --with-postgresql
sudo pip install -U PIL modestmaps simplejson werkzeug
git clone https://github.com/TileStache/TileStache.git TileStache
cd TileStache
You can’t perform that action at this time.